Sweeper (gCube Resource Sweeper Widget 0.1.0-SNAPSHOT API)
Date: 2012-12-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.resourcesweeper.server
Class Sweeper

    java.lang.Object
      org.gcube.portlets.admin.resourcesweeper.server.Sweeper

    public class Sweeper

extends Object

Author:
  Massimiliano Assante (ISTI-CNR)

Field Summary
`static String` | `LIVE_GHN_MAX_MINUTES`

Constructor Summary
`Sweeper()`

Method Summary
`protected ArrayList<String>` | `applyQuery(org.gcube.common.core.scope.GCUBEScope queryScope, org.gcube.resourcemanagement.support.server.gcube.queries.QueryLocation queryPath, org.gcube.common.core.informationsystem.client.QueryParameter... params)`
`void` | `applySweep(org.gcube.common.core.scope.GCUBEScope queryScope, List<com.extjs.gxt.ui.client.data.ModelData> elems)`
`ArrayList<String>` | `getDeadGHNs(org.gcube.common.core.scope.GCUBEScope queryScope)`
`ArrayList<String>` | `getExpiredGHNs(org.gcube.common.core.scope.GCUBEScope queryScope)` this method used to read the MAXWAIT param from the resourcemanagement.properties files, currently it reads it from the static var defined on top of this class TODO: Make it configurable again from a property file
`ArrayList<String>` | `getOrphanRI(org.gcube.common.core.scope.GCUBEScope queryScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LIVE_GHN_MAX_MINUTES

    public static String LIVE_GHN_MAX_MINUTES

Constructor Detail

### Sweeper

    public Sweeper()

Method Detail

### applyQuery

    protected ArrayList<String> applyQuery(org.gcube.common.core.scope.GCUBEScope queryScope,
                                           org.gcube.resourcemanagement.support.server.gcube.queries.QueryLocation queryPath,
                                           org.gcube.common.core.informationsystem.client.QueryParameter... params)
                                    throws Exception

  Throws:
    `Exception`

### getExpiredGHNs

    public ArrayList<String> getExpiredGHNs(org.gcube.common.core.scope.GCUBEScope queryScope)

  this method used to read the MAXWAIT param from the resourcemanagement.properties files, currently it reads it from the static var defined on top of this class TODO: Make it configurable again from a property file

  Parameters:
    `queryScope` -
  Returns:

### getDeadGHNs

    public ArrayList<String> getDeadGHNs(org.gcube.common.core.scope.GCUBEScope queryScope)

### getOrphanRI

    public ArrayList<String> getOrphanRI(org.gcube.common.core.scope.GCUBEScope queryScope)

### applySweep

    public void applySweep(org.gcube.common.core.scope.GCUBEScope queryScope,
                           List<com.extjs.gxt.ui.client.data.ModelData> elems)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.